SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001365: Browser autoconfiguration doesn't work for HTTP-Proxy - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001365Endian FirewallProxy HTTPpublic2008-10-09 10:382009-10-27 12:01
Reportergabyam6 
Assigned Tosimon-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc3 
Target VersionFixed in Version2.3 
Summary0001365: Browser autoconfiguration doesn't work for HTTP-Proxy
DescriptionBrowser autoconfiguration doesn't work for HTTP-Proxy

Here is the /var/log/httpd/error_log

Use of uninitialized value in pattern match (m//) at /home/httpd/html/wpad.dat line 152.
TagsNo tags attached.
Attached Filespatch file icon proxypac.patch [^] (3,029 bytes) 2009-02-18 12:42 [Show Content]

- Relationships
parent of 0001422closedsimon-endian proxy.pac file always return "DIRECT" ! 
has duplicate 0001520closedsimon-endian HTTP Proxy wpad or pac not working. 

-  Notes
(0001812)
simon-endian (developer)
2008-11-20 11:44

now default settings file is also read to get the status info from all proxy zones (settings saves only the diff)
(0001924)
bonald (reporter)
2009-01-16 17:49

I am using proxy on green with windows authentication.
In firefox it's working fine.
It's not working with IE7.

Here is the /var/log/httpd/error_log
Use of uninitialized value in string eq at /home/httpd/html/wpad.dat line 92.
(0001925)
bonald (reporter)
2009-01-18 19:28

Sorry for the confusion but I have the same bug in Firefox.

Use of uninitialized value in string eq at /home/httpd/html/wpad.dat line 92.
(0001976)
simon-endian (developer)
2009-02-18 12:42

added patchfile for quickfix

- Issue History
Date Modified Username Field Change
2008-10-09 10:38 gabyam6 New Issue
2008-10-09 10:38 gabyam6 Assigned To => simon-endian
2008-11-20 10:50 simon-endian Relationship added parent of 0001422
2008-11-20 11:44 simon-endian Note Added: 0001812
2008-11-20 11:44 simon-endian Status new => resolved
2008-11-20 11:44 simon-endian Fixed in Version => 2.3
2008-11-20 11:44 simon-endian Resolution open => fixed
2009-01-07 09:51 simon-endian Relationship added has duplicate 0001520
2009-01-16 17:49 bonald Note Added: 0001924
2009-01-16 17:49 bonald Status resolved => feedback
2009-01-16 17:49 bonald Resolution fixed => reopened
2009-01-18 19:28 bonald Note Added: 0001925
2009-02-18 12:42 simon-endian File Added: proxypac.patch
2009-02-18 12:42 simon-endian Note Added: 0001976
2009-02-18 12:43 simon-endian Status feedback => resolved
2009-02-18 12:43 simon-endian Resolution reopened => fixed
2009-10-27 12:01 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker